package com.brframework.commoncms.core.layout.column;

import com.brframework.commoncms.annatotion.column.DateTimeBetweenColumn;
import com.brframework.commoncms.core.layout.AbstractPanelLayoutColumn;
import lombok.Data;

import java.lang.reflect.Field;
import java.util.List;

/**
 * 日期时间区间控件
 *
 * @author 揭光智
 * @date 2019/02/16
 * @see DateTimeBetweenColumn
 */
@Data
public class LayoutDateTimeBetweenColumn extends AbstractPanelLayoutColumn {

    private static final String TYPE = "DATE_TIME_BETWEEN";
    private String key;
    private String title;

    @Override
    public String getKey() {
        return key;
    }

    @Override
    public String getTitle() {
        return title;
    }

    @Override
    public String getType() {
        return TYPE;
    }

    @Override
    public void create(Field columnField) throws Throwable {
        init(columnField);
    }

    @Override
    public List<Class<?>> supportType() {
        return null;
    }


}
